Get the usage charts for the instance of an organization.

Base URL
https://cloud.elastic.co Public

Retrieves the usage charts for the organization's instance. Platform callers (organization:get:all) and organization billing admins skip the cloud-resources access check; other billing-organization:get callers receive 403 if the instance is not in their accessible cloud resources.

Path parameters

organization_id string required
instance_id string required

Query parameters

from string required

A datetime for the beginning of the desired range. Non-UTC offsets are converted to UTC internally. Responses always contain UTC values. If no timezone offset is specified, the request is rejected.

Example: 2021-04-21T00:00:00+00:00
to string required

A datetime for the end of the desired range. Non-UTC offsets are converted to UTC internally. Responses always contain UTC values. If no timezone offset is specified, the request is rejected.

Example: 2021-04-21T00:00:00+00:00
bucketing_strategy enum

The desired bucketing strategy for the charts.

Values: daily monthly
instance_type enum

The type of the instances to be returned.

Values: all deployments projects

Responses

Successfully return the usage charts of an organization's instance.

application/json
403

Caller does not have access to the requested instance.

404

Not found.

424

Failed dependency.

500

Internal Server Error.

Base URL
https://cloud.elastic.co Public